#declare Frame=floor(clock*24+.5);
#declare Clock=Frame/24;

#declare sCamZ=2.5;
#declare pCamL=<2,3,5>;
#declare pCamE=<0,0,0>;

camera {
  location pCamL
  direction z*sCamZ
  look_at pCamE
}


light_source { <50,50,150>*1e3 rgb 1 }

#declare aT=array[1] { texture { uv_mapping pigment { image_map { sys "sample.bmp" interpolate 2 } } } }

#declare Upper_ax=-5-5*sin(Clock*pi*2);
#declare Lower_ax= 8+8*sin(Clock*pi*2);

#include "sample.inc"

/*
#include "macs.inc"
#include "nsss.inc"
#local aV=array[8] { -x-y-z, x-y-z,-x+y-z, x+y-z,-x-y+z, x-y+z,-x+y+z, x+y+z }
#local aF=array[6][4] {
  { 0,2,3,1 }
  { 0,4,6,2 }
  { 0,4,5,1 }
  { 7,5,4,6 }
  { 7,3,1,5 }
  { 2,3,7,6 }
}
*/
//SSS_ImportBasicMesh(aV,aF)

SSS_Subdivide()
SSS_Subdivide()
//SSS_Subdivide()
//SSS_Subdivide()

object {
  SSS_BuildTexturedFlatMesh(aT)
//  SSS_BuildFlatMesh()
//  pigment { rgb 1 }
}

