#ifndef SURF_H
#define SURF_H

#include "calc.h"
#include "lists.h"
#include <windows.h>
#include <gl/gl.h>

typedef struct {
	THINGMEMBERS
	char	*Name;
	char	*File;
	COLORREF color;
	HBITMAP	hbm;
	short sX,sY;	// size of bitmap
	GLubyte *bmBits;
} tint;

typedef struct {
	THINGMEMBERS
	uvec	Spot,Save;
} uvpt;

void snapUVPt(uvpt*,float);

#endif

